Summary:  An archiving tool with ACL support
Name: star
Version: 1.5.2
Release: 1
URL: http://cdrecord.berlios.de/old/private/star.html
Source0: ftp://ftp.berlios.de/pub/star/%{name}-%{version}.tar.bz2

#use gcc for compilation, change defaults for Linux
Patch1: star-1.5-newMake.patch
#do not segfault with data-change-warn option (#255261)
Patch3: star-1.5-changewarnSegv.patch
#Prevent buffer overflow for filenames with length of 100 characters (#556664)
Patch4: star-1.5.2-bufferoverflow.patch
#Fix some invalid manpage references (#624612)
Patch5: star-1.5.1-manpagereferences.patch
# note that the H=crc format uses Sum32 algorithm, not CRC
Patch7: star-1.5.1-crc.patch

# fix man-page-day objections
# ~> proposed upstream:
#    https://lists.berlios.de/pipermail/star-developers/2013-April/000027.html
# ~> #948866
Patch8: star-1.5.2-man-page-day.patch

# Use ssh rather than rsh by default
# ~> downstream
# ~> related to #968980
Patch11: star-1.5.2-use-ssh-by-default.patch

License: CDDL
Group: Applications/Archiving
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: patch, schily-make
BuildRequires: gettext >= 0.10.40
Requires: gettext >= 0.10.40


%description
Star saves many files together into a single tape or disk archive,
and can restore individual files from the archive. Star supports ACL.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch1 -p1 -b .newMake
%patch3 -p1 -b .changewarnSegv
%patch4 -p1 -b .namesoverflow
%patch5 -p1 -b .references
%patch7 -p1 -b .crc
%patch8 -p1 -b .man-page-day
%patch11 -p1 -b .ssh-by-default


%build
smake COPTX="-DUSE_USGSHM" LDOPTX="-Wl,-bmaxdata:0x80000000 -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib"


%install
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
smake "INS_BASE=${RPM_BUILD_ROOT}%{_prefix}" install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .

cd ${RPM_BUILD_ROOT}%{_datadir}
mv -f man ..


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README AN* COPYING CDDL.Schily.txt README.SSPM STATUS.alpha TODO
%{_bindir}/spax
%{_bindir}/star
%{_mandir}/man1/spax.1
%{_mandir}/man1/%{name}.1
%{_mandir}/man4/%{name}.4
/usr/bin/spax
/usr/bin/star


%changelog
* Thu May 22 2014 Michael Perzl <michael@perzl.org> - 1.5.2-1
- updated to version 1.5.2

* Mon Jan 10 2011 Michael Perzl <michael@perzl.org> - 1.5.1-1
- first version for AIX V5.1 and higher
